List customers
curl --request GET \
--url https://api.rigaly.com/api/v1/customers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigaly.com/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rigaly.com/api/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigaly.com/api/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"customers": [
{}
],
"pagination": {
"limit": 25,
"offset": 0,
"returned": 25,
"total_count": 112
}
}
}Customers
List customers
Paginated customer list with balances, visit stats, and tier. search filters by name, email, or phone. For behavior-based filtering (spend, recency, frequency…) use the segments endpoints.
GET
/
api
/
v1
/
customers
List customers
Authorizations
API key from the Rigaly dashboard: Authorization: Bearer rgly_sk_...
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0